Bug 826357 - CMSDASD is not cleared, no other dasd devices present
Summary: CMSDASD is not cleared, no other dasd devices present
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: dracut
Version: 7.0
Hardware: s390x
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: dracut-maint
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks: 839713
TreeView+ depends on / blocked
 
Reported: 2012-05-30 03:50 UTC by Jesse Keating
Modified: 2013-01-10 03:36 UTC (History)
1 user (show)

Fixed In Version: dracut-018-53.git20120605.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-08 22:00:57 UTC
Target Upstream Version:


Attachments (Terms of Use)
Patch to not bail if dasd attribute we're trying to set is already set. (1.16 KB, patch)
2012-06-01 01:51 UTC, Jesse Keating
no flags Details | Diff

Description Jesse Keating 2012-05-30 03:50:35 UTC
If CMSCONFFILE and CMSDASD are used, the dasd used to read the conf file is not cleared.  The dasd is left online, which prevents the module from being unloaded.  Something isn't right in cmssetup.sh.

Comment 1 Jesse Keating 2012-06-01 01:49:09 UTC
I'm attaching a patch that should fix this.  I've re-assigned it as I can't build dracut with the patch (well I could, but it's slightly inappropriate to do so).

Comment 2 Jesse Keating 2012-06-01 01:51:39 UTC
Created attachment 588241 [details]
Patch to not bail if dasd attribute we're trying to set is already set.

Comment 3 Jesse Keating 2012-06-08 22:00:57 UTC
Patch was accepted upstream and built into rhel7.


Note You need to log in before you can comment on or make changes to this bug.